/*
 * $Id: RegisteredCategory.java,v 1.4 2008/02/12 09:39:59 korowa Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * $Log: RegisteredCategory.java,v $
 * Revision 1.4  2008/02/12 09:39:59  korowa
 * + Eine Möglichkeit für den Benutzer hinzugefügt die Emailsart auszuwählen (HTML oder Plaintext)
 * + Betreff für den Messenger der als Emailsubject bei Benachrichtigung übers erscheinen von VKC Dokumenten verschickt wird.
 *
 * Revision 1.3  2004/07/20 08:51:21  jonyp
 * added copyright info + cvs log
 *
 */
package vkc.view.bean;

import java.io.Serializable;
import java.util.Vector;

import vkc.db.entities.VKCEntity;
import vkc.util.VKCCategoryAbsPath;

/**
 * Diese Bean stellt eine zu registrierende Kategorie dar
 *
 * @author marbobo
 */
public final class RegisteredCategory implements Serializable {
	private String name = "";
	private String description = "";
	private Integer categoryId = VKCEntity.ID_UNDEFINED;
	private Integer parentCategoryId = VKCEntity.ID_UNDEFINED;
	private Vector subCategories = new Vector();
	private VKCCategoryAbsPath absPathDescr = null;
	private Boolean includeSubDirs = Boolean.FALSE;
    private String subjectForNotification = "";

	public String getName() {
		return name;
	}

	public void setName(String string) {
		name = string;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String string) {
		description = string;
	}

	public Integer getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(Integer integer) {
		categoryId = integer;
	}

	public Integer getParentCategoryId() {
		return parentCategoryId;
	}

	public void setParentCategoryId(Integer integer) {
		parentCategoryId = integer;
	}

	public Vector getSubCategories() {
		return subCategories;
	}

	public void setSubCategories(Vector vector) {
		subCategories = vector;
	}

	public VKCCategoryAbsPath getAbsPathDescr() {
		return absPathDescr;
	}

	public void setAbsPathDescr(VKCCategoryAbsPath path) {
		absPathDescr = path;
	}

	public Boolean getIncludeSubDirs() {
		return includeSubDirs;
	}

	public void setIncludeSubDirs(Boolean boolean1) {
		includeSubDirs = boolean1;
	}

    public String getSubjectForNotification() {
        return subjectForNotification;
    }

    public void setSubjectForNotification(String subjectForNotification) {
        this.subjectForNotification = subjectForNotification;
    }
}